[![Build Status](https://travis-ci.org/yoru/aries.svg?branch=master)](https://travis-ci.org/yoru/aries)
[![Gem](https://img.shields.io/gem/v/ariesms.svg)](https://rubygems.org/gems/ariesms)

# Aries

An unofficial Ruby library for AriesMS rankings. It scrapes the ranking page and
present the data in a organised fashion.

## Installation

Add this line to your application's Gemfile:

    gem 'ariesms'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ariesms

## Usage

```ruby
require 'aries'

# Returns a single Character object.
character = Aries::Character.find('Ruby')

# Returns the number of online characters.
characters = Aries::Character.online

# Returns the overall ranking.
characters = Aries::Character.all

# Returns the job ranking.
characters = Aries::Character.job('phantom')

# Returns the most famed characters.
characters = Aries::Character.fame
```

You can pass a page number as an argument, e.g. `Aries::Character.all(2)`. Each
page returns an array of 10 Character objects.

### Aries::Character

It's self explanatory.

```ruby
{
         @id => 1,
       @name => "Yakan",
        @job => "Bow Master",
      @world => "Scania"
      @level => 219,
    @paragon => 0,
       @fame => 117
}
```

Unfortunately the ID present in the ranking table is relative, so it doesn't
reflect the ranking position when using `Aries::Character.find`. It's not a lib
issue.

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Fix offenses (`rubocop -a`)
4. Run the tests (`rake spec`)
5. Commit your changes (`git commit -am 'Add some feature'`)
6. Push to the branch (`git push origin my-new-feature`)
7. Create new Pull Request

## License

The gem is available as open source under the terms of the [MIT License](LICENSE).
